Bug 872183 - smsd paths for infofile and pidfile not set to sane defaults
Summary: smsd paths for infofile and pidfile not set to sane defaults
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: smstools
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick C. F. Ernzer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-01 13:44 UTC by Tomas Edwardsson
Modified: 2012-11-19 18:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-19 18:29:28 UTC
Type: Bug


Attachments (Terms of Use)
Patch to the fedpkg (2.71 KB, patch)
2012-11-01 13:44 UTC, Tomas Edwardsson
no flags Details | Diff
Patch for just the configuration files (1.05 KB, patch)
2012-11-01 13:45 UTC, Tomas Edwardsson
no flags Details | Diff

Description Tomas Edwardsson 2012-11-01 13:44:33 UTC
Created attachment 636681 [details]
Patch to the fedpkg

Description of problem:
Default paths for infofile and pidfile not defined in config.

Version-Release number of selected component (if applicable):

smstools-3.1.14-1.el6.x86_64


How reproducible:

Install smstools and try to start smsd via the service command
  

I find that the path for infofile and pidfile should be set to a sane default.

Comment 1 Tomas Edwardsson 2012-11-01 13:45:06 UTC
Created attachment 636682 [details]
Patch for just the configuration files

Comment 2 Fedora Update System 2012-11-01 22:05:58 UTC
smstools-3.1.15-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/smstools-3.1.15-3.el6

Comment 3 Patrick C. F. Ernzer 2012-11-01 22:08:47 UTC
(In reply to comment #1)
> Created attachment 636682 [details]
> Patch for just the configuration files

Thanks for the patch. Applied in el6 branch.

Comment 4 Fedora Update System 2012-11-02 18:37:35 UTC
Package smstools-3.1.15-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing smstools-3.1.15-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13377/smstools-3.1.15-3.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-11-19 18:29:30 UTC
smstools-3.1.15-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.